package com.ihaoin.hooloo.device.data.vo;

import com.ihaoin.hooloo.device.config.Base;

import java.io.Serializable;
import java.math.BigDecimal;


public class GoodsRule implements Serializable {
    /**
     * 选项id
     */
    private Integer ruleId;
    /**
     * 名称
     */
    private String ruleName;
    /**
     * 是否默认
     */
    private Integer isDefault;
    /**
     * 是否推荐
     */
    private Integer isRecommend;
    /**
     * 状态，1-可售、0-不可售
     */
    private Integer state = Base.TRUE;
    /**
     * 价格
     */
    private BigDecimal price;

    public Integer getRuleId() {
        return ruleId;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getIsRecommend() {
        return isRecommend;
    }

    public void setIsRecommend(Integer isRecommend) {
        this.isRecommend = isRecommend;
    }
}
